"use strict";

var _assert = _interopRequireDefault(require("assert"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _json = _interopRequireDefault(require("json5"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (api, option) {
  // {
  //   "overrides": [
  //     {
  //       "presets": [
  //         [
  //           "@babel/preset-env",
  //           {}
  //         ]
  //       ]
  //     }
  //   ]
  // },
  let configuration = _json.default.parse(_fsExtra.default.readFileSync(_path.default.resolve(__dirname, '../babel.config.json'), {
    'encoding': 'utf-8'
  }));

  _assert.default.strictEqual(configuration.overrides[0].presets[0][0], '@babel/preset-env');

  configuration.overrides[0].presets[0][0] = require('@babel/preset-env');
  return configuration;
};

//# sourceMappingURL=index.cjs.map